summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/multilib-minimal.eclass
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/multilib-minimal.eclass')
-rw-r--r--eclass/multilib-minimal.eclass124
1 files changed, 124 insertions, 0 deletions
diff --git a/eclass/multilib-minimal.eclass b/eclass/multilib-minimal.eclass
new file mode 100644
index 000000000000..a3b6d37dc93d
--- /dev/null
+++ b/eclass/multilib-minimal.eclass
@@ -0,0 +1,124 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: multilib-minimal.eclass
+# @MAINTAINER:
+# Julian Ospald <hasufell@gentoo.org>
+# @BLURB: wrapper for multilib builds providing convenient multilib_src_* functions
+# @DESCRIPTION:
+#
+# src_configure, src_compile, src_test and src_install are exported.
+#
+# Use multilib_src_* instead of src_* which runs this phase for
+# all enabled ABIs.
+#
+# multilib-minimal should _always_ go last in inherit order!
+#
+# If you want to use in-source builds, then you must run
+# multilib_copy_sources at the end of src_prepare!
+# Also make sure to set correct variables such as
+# ECONF_SOURCE=${S}
+#
+# If you need generic install rules, use multilib_src_install_all function.
+
+
+# EAPI=4 is required for meaningful MULTILIB_USEDEP.
+case ${EAPI:-0} in
+ 4|5) ;;
+ *) die "EAPI=${EAPI} is not supported" ;;
+esac
+
+
+inherit eutils multilib-build
+
+EXPORT_FUNCTIONS src_configure src_compile src_test src_install
+
+
+multilib-minimal_src_configure() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ multilib-minimal_abi_src_configure() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ mkdir -p "${BUILD_DIR}" || die
+ pushd "${BUILD_DIR}" >/dev/null || die
+ if declare -f multilib_src_configure >/dev/null ; then
+ multilib_src_configure
+ else
+ default_src_configure
+ fi
+ popd >/dev/null || die
+ }
+
+ multilib_foreach_abi multilib-minimal_abi_src_configure
+}
+
+multilib-minimal_src_compile() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ multilib-minimal_abi_src_compile() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ pushd "${BUILD_DIR}" >/dev/null || die
+ if declare -f multilib_src_compile >/dev/null ; then
+ multilib_src_compile
+ else
+ default_src_compile
+ fi
+ popd >/dev/null || die
+ }
+
+ multilib_foreach_abi multilib-minimal_abi_src_compile
+}
+
+multilib-minimal_src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ multilib-minimal_abi_src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ pushd "${BUILD_DIR}" >/dev/null || die
+ if declare -f multilib_src_test >/dev/null ; then
+ multilib_src_test
+ else
+ default_src_test
+ fi
+ popd >/dev/null || die
+ }
+
+ multilib_foreach_abi multilib-minimal_abi_src_test
+}
+
+multilib-minimal_src_install() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ multilib-minimal_abi_src_install() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ pushd "${BUILD_DIR}" >/dev/null || die
+ if declare -f multilib_src_install >/dev/null ; then
+ multilib_src_install
+ else
+ # default_src_install will not work here as it will
+ # break handling of DOCS wrt #468092
+ # so we split up the emake and doc-install part
+ # this is synced with __eapi4_src_install
+ if [[ -f Makefile || -f GNUmakefile || -f makefile ]] ; then
+ emake DESTDIR="${D}" install
+ fi
+ fi
+
+ multilib_prepare_wrappers
+ multilib_check_headers
+ popd >/dev/null || die
+ }
+ multilib_foreach_abi multilib-minimal_abi_src_install
+ multilib_install_wrappers
+
+ if declare -f multilib_src_install_all >/dev/null ; then
+ multilib_src_install_all
+ else
+ einstalldocs
+ fi
+}